
//////////////////////////////////////////////////////////////
//
// Header file for DisplayWindowMainWindow
//
//    This class is a subclass of VkSimpleWindow
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using RapidApp.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
// Doing so will allow you to make changes using RapidApp
// without losing any changes you may have made manually
//
//////////////////////////////////////////////////////////////
#ifndef DISPLAYWINDOWMAINWINDOW_H
#define DISPLAYWINDOWMAINWINDOW_H
#include <Vk/VkSimpleWindow.h>


//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations


//---- DisplayWindowMainWindow class declaration

class DisplayWindowMainWindow: public VkSimpleWindow {

  public:

    DisplayWindowMainWindow( const char * name, 
                             ArgList args = NULL,
                             Cardinal argCount = 0 );
    ~DisplayWindowMainWindow();
    const char *className();
    virtual Boolean okToQuit();

    //---- Start editable code block: DisplayWindowMainWindow public

    void setStatus(char *text);
    void setStatistics(char *fps, char *kbps);

    //---- End editable code block: DisplayWindowMainWindow public


  protected:



    // Classes created by this class

    class Dpy_form *_dpy_form;


    // Widgets created by this class



    //---- Start editable code block: DisplayWindowMainWindow protected


    //---- End editable code block: DisplayWindowMainWindow protected


  private:


    static String  _defaultDisplayWindowMainWindowResources[];


    //---- Start editable code block: DisplayWindowMainWindow private


    //---- End editable code block: DisplayWindowMainWindow private


};
//---- Start editable code block: End of generated code


//---- End editable code block: End of generated code

#endif
